Werk #9484: Platform update to Debian buster

Component Firmware
Title Platform update to Debian buster
Date Mar 14, 2022
Appliance Version 1.5.0
Level Major Change
Class New Feature
Compatibility Compatible - no manual interaction needed

The update from firmware 1.4 to 1.5 is a major platform update. In this step we move the underlying OS from Debian stretch, which reaches it's EOL in June 2022, to Debian buster.

The changes we get with this update affect the CMA platform in several ways. Here are the most important changes:

  • The update from stretch to buster involves a lot of packages being updated. Have a look at the ChangedPackages file, which can be found on the download page, for details.

    In case custom software components you installed manually rely on some of these packages, you may have to update them manually.

  • The new platform requires all Checkmk versions to be reinstalled or updated to the new platform. Checkmk sites using platform incompatible versions can not be started anymore.

    To solve this, you need to either replace the previously installed Checkmk version with a platform compatible one or install a new platform compatible version and update your site to this version.

    Do it like this (clusters: on the active node only):

    • First go to the "Site management" page and check your sites Checkmk version. In case it is marked as compatible you can simply start it now and you are done.
    • If it's incompatible proceed with opening the Checkmk download page and download the exact same Checkmk version for the CMA 1.5+ platform. Or, in case it's not available, download a following Checkmk version that is compatible with the new platform.

      For example, if you site runs Checkmk 2.0.0p21, you need to download one of the newer Checkmk 2.0.0p-versions that have a CMA 1.5+ package. In case you already use e.g. 2.0.0p22, you can download 2.0.0p22 and proceed with this version.

      You could also advance from Checkmk 1.6 to a 2.0 release, but since this is a upgrade from one Checkmk major release to the next, you will likely need to do additional migrations within your Checkmk configuration. We recommend to do these things in a separate step.

    • Now that you have downloaded the CMA 1.5+ Checkmk package to your computer, navigate to the "Checkmk versions page" and upload the file there.
    • Then go to the "Site management" page again and update your sites to the 1.5+ compatible versions if needed. In case you replaced the old platform package with the new platform package, the site update step is not needed.
    • Now you can start the site as usual on the "Site management" page.

  • If you have configured two appliances as cluster, the update to CMA 1.5 needs a special procedure when updating clusters. The update can only be done offline, which means you will have a downtime.

    You need to proceed like this:

    • Disconnect the cluster nodes using "Disconnect cluster" on the cluster page
    • Update one node to 1.5+
    • Update the other node to 1.5+
    • Open up the cluster page and use "Reconnect cluster" to re-establish the cluster connection. The cluster page should show all resources in "OK" state after a short time.
    • Then you need to check your sites and Checkmk version to update them to the new platform as written above.

To the list of all Werks